$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_zip = 'https://github.com/starship/starship/releases/download/v1.16.0/starship-x86_64-pc-windows-msvc.zip'
$url_i686_zip = 'https://github.com/starship/starship/releases/download/v1.16.0/starship-i686-pc-windows-msvc.zip'
$checksum_x86_64_zip = '64AACF6AD851B60E18F31582B37022DBC0D37C7062D3D7DFD7BD2343051CE199'
$checksum_i686_zip = 'A34A47A614F89FF5032D8710881B8A763FFE4BF4635B33B18156F77484B715A8'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageArgs = @{
    packageName   = $packageName
    fileType      = 'zip'
    url           = $url_i686_zip
    url64bit      = $url_x86_64_zip
    checksum      = $checksum_i686_zip
    checksum64    = $checksum_x86_64_zip
    checksumType  = 'sha256'
    unzipLocation = $toolsDir
}
Install-ChocolateyZipPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
